	subroutine reread(lu)
	character*19 lognam
	external reread_mbxopen
	logical unf/.false./

!++
!
! FORTRAN calleable routine to establish rereading on lu.
! Calls BLISS32 routines to create mbox, and to establish
! read attention AST.
!
! Neal Lippman, MIT-JCF
!
!--

	lu_save=lu
	call create_mbox(lognam)
	open(unit=lu,name=lognam,type='old',access='sequential',
     *		form='formatted',iostat=ios,recordtype='variable',
     *		recordsize=512,readonly)
	if (ios.ne.0) call sys$exit(reread_mbxopen)
	call ast_set()
	return

	entry reread_toggle

	call cancel_io()
	close(unit=lu_save,dispose='save')
	if(unf) then
	    unf = .true.
	    open(unit=lu_save,name=lognam,type='old',access='sequential',
     *		form='formatted',iostat=ios,recordtype='variable',
     *		recordsize=512,readonly)
	    if (ios.ne.0) call sys$exit(reread_mbxopen)
	else
	    unf = .false.
	    open(unit=lu_save,name=lognam,type='old',access='sequential',
     *		form='unformatted',iostat=ios,recordtype='variable',
     *		recordsize=512,readonly)
	    if (ios.ne.0) call sys$exit(reread_mbxopen)
	endif
	call ast_set()

	return

	end
